--- a/cmake/os/Darwin.cmake	2023-03-16 23:25:04.000000000 +0800
+++ b/cmake/os/Darwin.cmake	2023-05-18 10:00:33.000000000 +0800
@@ -47,5 +47,9 @@
 
 # This is used for the version_compile_machine variable.
 IF(CMAKE_SIZEOF_VOID_P MATCHES 8)
-  SET(MYSQL_MACHINE_TYPE "x86_64")
+  IF(CMAKE_OSX_ARCHITECTURES MATCHES "ppc64")
+    SET(MYSQL_MACHINE_TYPE "ppc64")
+  ELSE()
+    SET(MYSQL_MACHINE_TYPE "x86_64")
+  ENDIF()
 ENDIF()

--- a/rapid/plugin/x/CMakeLists.txt	2023-05-18 09:26:35.000000000 +0800
+++ b/rapid/plugin/x/CMakeLists.txt	2023-05-18 12:13:03.000000000 +0800
@@ -135,6 +135,10 @@
     SET(BOOST_LIB_SOURCES
       ${BOOST_SOURCES_DIR}/libs/atomic/src/lockpool.cpp)
   ENDIF()
+  IF(APPLE AND CMAKE_OSX_ARCHITECTURES MATCHES "ppc|ppc64")
+    SET(BOOST_LIB_SOURCES
+      ${BOOST_SOURCES_DIR}/libs/atomic/src/lockpool.cpp)
+  ENDIF()
   IF (CMAKE_CXX_COMPILER_ID STREQUAL "SunPro")
     SET(BOOST_LIB_SOURCES
       ${BOOST_SOURCES_DIR}/libs/atomic/src/lockpool.cpp)
